CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Types | Private Attributes | List of all members
ProtectorChain Class Reference

Protector chain (Implementation). Implementation detail. More...

`#include <ProtectorChain.h>`

Inheritance diagram for ProtectorChain:

## Classes

class | ProtectFunctor

## Public Member Functions

| ~ProtectorChain ()
void | push (Protector *protector)
void | pop ()
int | count () const
bool | protect (const Functor &functor, const ProtectorContext &context)
Public Member Functions inherited from Protector
virtual | ~Protector ()

## Private Types

typedef CppUnitDeque< Protector * > | Protectors
typedef CppUnitDeque< Functor * > | Functors

## Private Attributes

Protectors | m_protectors

## Additional Inherited Members

Protected Member Functions inherited from Protector
void | reportError (const ProtectorContext &context, const Exception &error) const
void | reportError (const ProtectorContext &context, const Message &message, const SourceLine &sourceLine=SourceLine()) const
void | reportFailure (const ProtectorContext &context, const Exception &failure) const
Message | actualMessage (const Message &message, const ProtectorContext &context) const

## Detailed Description

Protector chain (Implementation). Implementation detail.

## Member Typedef Documentation

typedef CppUnitDeque<Functor *> ProtectorChain::Functors

private

typedef CppUnitDeque<Protector *> ProtectorChain::Protectors

private

## Constructor & Destructor Documentation

ProtectorChain::~ProtectorChain | ( |  | ) |

## Member Function Documentation

int ProtectorChain::count | ( |  | ) | const

void ProtectorChain::pop | ( |  | ) |

bool ProtectorChain::protect | ( | const Functor & | functor,
|  | const ProtectorContext & | context
| ) |  |

virtual

Implements Protector.

void ProtectorChain::push | ( | Protector * | protector | ) |

## Member Data Documentation

Protectors ProtectorChain::m_protectors

private

The documentation for this class was generated from the following files:

- ProtectorChain.h
- ProtectorChain.cpp

| hosts this site. |  | Send comments to: CppUnit Developers